Package ru.bitel.bgbilling.modules.megogo.server.event

# Class MegogoSubscriptionUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.megogo.server.event.MegogoSubscriptionUpdateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class MegogoSubscriptionUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent implements ErrorReturnableEvent
Синхронное событие, которое бросается перед созданием/изменением подписки(и возможно непосредственно запросом Megogo). Которое можно обработать самому.
Если скрипт-обработки выставляет флаг processed=true, то тогда штатная логика не срабатывает. Если поле errorMessage будет не пустым, провоцируется ошибка с данным сообщением.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoSubscriptionUpdateEvent(int moduleId, MegogoContractSubscription contractSubscription, int userId, boolean sendToMegogo)`
  `MegogoSubscriptionUpdateEvent(int moduleId, MegogoContractSubscription contractSubscription, int userId, boolean sendToMegogo, MegogoSubscription subscriptionTo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MegogoContractSubscription`
  `getContractSubscription()`
  `String`
  `getError()`
  `MegogoSubscription`
  `getSubscriptionTo()`
  Если это переход(то есть основной тип), то подписка на которую планируем перейти после завершения этой
  `boolean`
  `isCreate()`
  `boolean`
  `isProcessed()`
  `boolean`
  `isSendToMegogo()`
  `void`
  `setContractSubscription(MegogoContractSubscription contractSubscription)`
  `void`
  `setError(String errorMessage)`
  `void`
  `setErrorMessage(String errorMessage)`
  Deprecated.
  `void`
  `setProcessed(boolean processed)`
  `void`
  `setSubscriptionTo(MegogoSubscription subscriptionTo)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegogoSubscriptionUpdateEvent

    public MegogoSubscriptionUpdateEvent(int moduleId, MegogoContractSubscription contractSubscription, int userId, boolean sendToMegogo)

  - ### MegogoSubscriptionUpdateEvent

    public MegogoSubscriptionUpdateEvent(int moduleId, MegogoContractSubscription contractSubscription, int userId, boolean sendToMegogo, MegogoSubscription subscriptionTo)

- ## Method Details

  - ### isCreate

    public boolean isCreate()
    Returns:
      - true, если создание, false - если изменение подписки.

  - ### isProcessed

    public boolean isProcessed()

  - ### setProcessed

    public void setProcessed(boolean processed)

  - ### setErrorMessage

    @Deprecated public void setErrorMessage(String errorMessage)
    Deprecated.

  - ### setError

    public void setError(String errorMessage)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getContractSubscription

    public MegogoContractSubscription getContractSubscription()

  - ### setContractSubscription

    public void setContractSubscription(MegogoContractSubscription contractSubscription)

  - ### isSendToMegogo

    public boolean isSendToMegogo()
    Returns:
      - false, то запрос к Megogo прямо сейчас отправляться не будет( при этом не дает гарантии, что этого не сделает планировщик позже )

  - ### getSubscriptionTo

    public MegogoSubscription getSubscriptionTo()
    Если это переход(то есть основной тип), то подписка на которую планируем перейти после завершения этой

  - ### setSubscriptionTo

    public void setSubscriptionTo(MegogoSubscription subscriptionTo)

  - ### getError

    public String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`